/**********************************************************************************************************************
 *  COPYRIGHT
 *  -------------------------------------------------------------------------------------------------------------------
 *  \verbatim
 *
 *                 This software is copyright protected and proprietary to Vector Informatik GmbH.
 *                 Vector Informatik GmbH grants to you only those rights as set out in the license conditions.
 *                 All other rights remain with Vector Informatik GmbH.
 *  \endverbatim
 *  -------------------------------------------------------------------------------------------------------------------
 *  LICENSE
 *  -------------------------------------------------------------------------------------------------------------------
 *            Module: Com
 *           Program: MSR_Vector_SLP4
 *          Customer: Aptiv (China) Technology Company Ltd.
 *       Expiry Date: Not restricted
 *  Ordered Derivat.: Aurix 2G/TC397 B-Step
 *    License Scope : The usage is restricted to CBD1900078_D01
 *
 *  -------------------------------------------------------------------------------------------------------------------
 *  FILE DESCRIPTION
 *  -------------------------------------------------------------------------------------------------------------------
 *              File: Com_Cbk.h
 *   Generation Time: 2023-12-12 16:19:44
 *           Project: CBD1900078_TC397_EVB - Version 1.0
 *          Delivery: CBD1900078_D01
 *      Tool Version: DaVinci Configurator (beta) 5.18.42 SP2
 *
 *
 *********************************************************************************************************************/

/**********************************************************************************************************************
 ! BETA VERSION                                                                                                       !
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! This version of DaVinci Configurator Pro and/or the related Basic Software Package is BETA software.               !
 ! BETA Software is basically operable, but not sufficiently tested, verified and/or qualified for use in series      !
 ! production and/or in vehicles operating on public or non-public roads.                                             !
 ! In particular, without limitation, BETA Software may cause unpredictable ECU behavior, may not provide all         !
 ! functions necessary for use in series production and/or may not comply with quality requirements which are         !
 ! necessary according to the state of the art. BETA Software must not be used in series production.                  !
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
**********************************************************************************************************************/

/**********************************************************************************************************************
 * WARNING: This code has been generated with reduced-severity errors. 
 * The created output files contain errors that have been ignored. Usage of the created files can lead to unpredictable behavior of the embedded code.
 * Usage of the created files happens at own risk!
 * 
 * [Warning] COM02202 - Missing/Invalid parameters for ComTxModeMode DIRECT, MIXED or PERIODIC. 
 * - [Reduced Severity due to User-Defined Parameter] Parameter ComTxModeTimePeriod of ComTxMode /ActiveEcuC/Com/ComConfig/IFC_3_oCAN01_3afd8a9c_Tx/ComTxIPdu/ComTxModeFalse/ComTxMode must be greater than '0'.
 * Erroneous configuration elements:
 * /ActiveEcuC/Com/ComConfig/IFC_3_oCAN01_3afd8a9c_Tx/ComTxIPdu/ComTxModeFalse/ComTxMode[0:ComTxModeTimePeriod](value=0) (DefRef: /MICROSAR/Com/ComConfig/ComIPdu/ComTxIPdu/ComTxModeFalse/ComTxMode/ComTxModeTimePeriod)
 * 
 * [Warning] COM02202 - Missing/Invalid parameters for ComTxModeMode DIRECT, MIXED or PERIODIC. 
 * - [Reduced Severity due to User-Defined Parameter] Parameter ComTxModeTimePeriod of ComTxMode /ActiveEcuC/Com/ComConfig/IFC_3_oCAN01_3afd8a9c_Tx/ComTxIPdu/ComTxModeTrue/ComTxMode must be greater than '0'.
 * Erroneous configuration elements:
 * /ActiveEcuC/Com/ComConfig/IFC_3_oCAN01_3afd8a9c_Tx/ComTxIPdu/ComTxModeTrue/ComTxMode[0:ComTxModeTimePeriod](value=0) (DefRef: /MICROSAR/Com/ComConfig/ComIPdu/ComTxIPdu/ComTxModeTrue/ComTxMode/ComTxModeTimePeriod)
 *********************************************************************************************************************/

#if !defined (COM_CBK_H)
# define COM_CBK_H

/**********************************************************************************************************************
  MISRA / PClint JUSTIFICATIONS
**********************************************************************************************************************/

/**********************************************************************************************************************
  INCLUDES
**********************************************************************************************************************/
#include "Com_Cot.h"

/**********************************************************************************************************************
  GLOBAL CONSTANT MACROS
**********************************************************************************************************************/



/**
 * \defgroup ComHandleIdsComRxPdu Handle IDs of handle space ComRxPdu.
 * \brief Rx Pdus
 * \{
 */

/* Handle IDs active in all predefined variants (the application has not to take the active variant into account) */
/*      Symbolic Name                                                 Value   Active in predefined variant(s) */
#define ComConf_ComIPdu_ACU_2_A_oCAN01_38d3f159_Rx                    0u
#define ComConf_ComIPdu_ACU_3_A_oCAN01_d7119a67_Rx                    1u
#define ComConf_ComIPdu_ACU_10_A_oCAN01_98b40122_Rx                   2u
#define ComConf_ComIPdu_ACU_NM_ACAN_oCAN01_66d8a69f_Rx                3u
#define ComConf_ComIPdu_ADAS_Phys_Diag_Rx_oCAN01_c45be9ae_Rx          4u
#define ComConf_ComIPdu_BCS_2_A_oCAN01_ab8f7162_Rx                    5u
#define ComConf_ComIPdu_BCS_3_A_oCAN01_444d1a5c_Rx                    6u
#define ComConf_ComIPdu_BCS_5_A_oCAN01_49536a1b_Rx                    7u
#define ComConf_ComIPdu_BCS_6_A_oCAN01_a264d118_Rx                    8u
#define ComConf_ComIPdu_BCS_7_A_oCAN01_4da6ba26_Rx                    9u
#define ComConf_ComIPdu_BCS_8_A_oCAN01_bcade1ab_Rx                    10u
#define ComConf_ComIPdu_BCS_9_A_oCAN01_536f8a95_Rx                    11u
#define ComConf_ComIPdu_BCS_10_A_oCAN01_292cb486_Rx                   12u
#define ComConf_ComIPdu_BCS_11_A_oCAN01_c6eedfb8_Rx                   13u
#define ComConf_ComIPdu_BCS_EPB_1_A_oCAN01_42753265_Rx                14u
#define ComConf_ComIPdu_BCS_EPB_2_A_oCAN01_a9428966_Rx                15u
#define ComConf_ComIPdu_BCS_NM_oCAN01_296b84cc_Rx                     16u
#define ComConf_ComIPdu_DMS_1_oCAN01_e2f88aa3_Rx                      17u
#define ComConf_ComIPdu_DMS_NM_oCAN01_60bf880f_Rx                     18u
#define ComConf_ComIPdu_EBB_1_A_oCAN01_6f5e18b7_Rx                    19u
#define ComConf_ComIPdu_EBB_2_A_oCAN01_8469a3b4_Rx                    20u
#define ComConf_ComIPdu_EBB_NM_oCAN01_a0c5d5f0_Rx                     21u
#define ComConf_ComIPdu_EPS_1_oCAN01_1c3f4f00_Rx                      22u
#define ComConf_ComIPdu_EPS_2_oCAN01_92b048e3_Rx                      23u
#define ComConf_ComIPdu_EPS_NM_oCAN01_2f9ebd98_Rx                     24u
#define ComConf_ComIPdu_ESCL_NM_oCAN01_8944fef3_Rx                    25u
#define ComConf_ComIPdu_FLCR_Phys_Diag_Rx_oCAN01_4470d7e1_Rx          26u
#define ComConf_ComIPdu_FRCR_Phys_Diag_Rx_oCAN01_a87160f1_Rx          27u
#define ComConf_ComIPdu_FR_Phys_Diag_Rx_oCAN01_0422cd8e_Rx            28u
#define ComConf_ComIPdu_Func_Diag_Rx_oCAN01_e932d16f_Rx               29u
#define ComConf_ComIPdu_GWM_BCM_TPMS_2_A_oCAN01_542f46d0_Rx           30u
#define ComConf_ComIPdu_GWM_NM_ACAN_oCAN01_99c90579_Rx                31u
#define ComConf_ComIPdu_GW_ACU_2_A_oCAN01_324d392e_Rx                 32u
#define ComConf_ComIPdu_GW_ACU_10_A_oCAN01_56df7b75_Rx                33u
#define ComConf_ComIPdu_GW_ACU_11_A_oCAN01_b91d104b_Rx                34u
#define ComConf_ComIPdu_GW_BCM_1_A_oCAN01_af0f3cf4_Rx                 35u
#define ComConf_ComIPdu_GW_BCM_2_A_oCAN01_443887f7_Rx                 36u
#define ComConf_ComIPdu_GW_IAL_1_A_oCAN01_1bcefe3d_Rx                 37u
#define ComConf_ComIPdu_GW_ICM_HVAC_A_oCAN01_30c40571_Rx              38u
#define ComConf_ComIPdu_GW_SRS_1_A_oCAN01_d80aa053_Rx                 39u
#define ComConf_ComIPdu_GW_SRS_2_A_oCAN01_333d1b50_Rx                 40u
#define ComConf_ComIPdu_ICM_NM_ACAN_oCAN01_e4bda942_Rx                41u
#define ComConf_ComIPdu_IFC_Phys_Diag_Rx_oCAN01_1e8e910c_Rx           42u
#define ComConf_ComIPdu_PAS_1_oCAN01_e7fccee7_Rx                      43u
#define ComConf_ComIPdu_PAS_2_oCAN01_6973c904_Rx                      44u
#define ComConf_ComIPdu_PAS_3_oCAN01_a5d9c99a_Rx                      45u
#define ComConf_ComIPdu_PCS_3_oCAN01_fdb5705b_Rx                      46u
#define ComConf_ComIPdu_PCS_4_oCAN01_f7707942_Rx                      47u
#define ComConf_ComIPdu_PCS_NM_oCAN01_fd30975d_Rx                     48u
#define ComConf_ComIPdu_RLCR_Phys_Diag_Rx_oCAN01_521d3683_Rx          49u
#define ComConf_ComIPdu_RRCR_Phys_Diag_Rx_oCAN01_be1c8193_Rx          50u
#define ComConf_ComIPdu_SAS_1_oCAN01_90621c17_Rx                      51u
#define ComConf_ComIPdu_TEL_NM_ACAN_oCAN01_30e91c28_Rx                52u
#define ComConf_ComIPdu_VCU_2_A_oCAN01_3bac67f5_Rx                    53u
#define ComConf_ComIPdu_VCU_9_A_oCAN01_c34c9c02_Rx                    54u
#define ComConf_ComIPdu_VCU_13_A_oCAN01_ace02a74_Rx                   55u
#define ComConf_ComIPdu_VCU_14_A_oCAN01_4e3c310d_Rx                   56u
#define ComConf_ComIPdu_VCU_21_A_oCAN01_31f79c48_Rx                   57u
#define ComConf_ComIPdu_VCU_NM_ACAN_oCAN01_a955f0e3_Rx                58u
#define ComConf_ComIPdu_WCM_NM_ACAN_oCAN01_d333e7d3_Rx                59u
#define ComConf_ComIPdu_msg_Receive_oCAN01_5c425ea9_Rx                60u
/**\} */

/**
 * \defgroup ComHandleIdsComTxPdu Handle IDs of handle space ComTxPdu.
 * \brief Tx Pdus
 * \{
 */

/* Handle IDs active in all predefined variants (the application has not to take the active variant into account) */
/*      Symbolic Name                                                 Value   Active in predefined variant(s) */
#define ComConf_ComIPdu_ADAS_1_I_oCAN00_c54fd70c_Tx                   0u
#define ComConf_ComIPdu_ADAS_4_I_oCAN00_23661c48_Tx                   1u
#define ComConf_ComIPdu_ADAS_5_I_oCAN00_cca47776_Tx                   2u
#define ComConf_ComIPdu_ADAS_BSDM_2_oCAN00_6f0af5dc_Tx                3u
#define ComConf_ComIPdu_ADAS_BSDM_2_oCAN01_180dc54a_Tx                4u
#define ComConf_ComIPdu_ADAS_Diag_Tx_oCAN01_559835ab_Tx               5u
#define ComConf_ComIPdu_ADAS_FRR_1_oCAN01_9743837b_Tx                 6u
#define ComConf_ComIPdu_ADAS_NM_ACAN_oCAN01_ff3e527f_Tx               7u
#define ComConf_ComIPdu_BSDM_1_oCAN01_c1a13b40_Tx                     8u
#define ComConf_ComIPdu_BSDS_1_oCAN01_f8c68a1b_Tx                     9u
#define ComConf_ComIPdu_FLCR_Diag_Tx_oCAN01_72a311ba_Tx               10u
#define ComConf_ComIPdu_FRCR_Diag_Tx_oCAN01_452d5f2b_Tx               11u
#define ComConf_ComIPdu_FR_Diag_Tx_oCAN01_7b7892ac_Tx                 12u
#define ComConf_ComIPdu_IFC_1_oCAN01_78d88de1_Tx                      13u
#define ComConf_ComIPdu_IFC_2_I_oCAN00_51623f43_Tx                    14u
#define ComConf_ComIPdu_IFC_2_oCAN01_f6578a02_Tx                      15u
#define ComConf_ComIPdu_IFC_3_oCAN01_3afd8a9c_Tx                      16u
#define ComConf_ComIPdu_IFC_MRR_1_oCAN01_487f5828_Tx                  17u
#define ComConf_ComIPdu_IFC_MRR_2_I_oCAN00_bde345b8_Tx                18u
#define ComConf_ComIPdu_IFC_MRR_2_oCAN01_c6f05fcb_Tx                  19u
#define ComConf_ComIPdu_IFC_MRR_3_oCAN01_0a5a5f55_Tx                  20u
#define ComConf_ComIPdu_RLCR_Diag_Tx_oCAN01_88892752_Tx               21u
#define ComConf_ComIPdu_RRCR_Diag_Tx_oCAN01_bf0769c3_Tx               22u
#define ComConf_ComIPdu_msg_Transmit_oCAN01_7024d9c8_Tx               23u
/**\} */

/**********************************************************************************************************************
  GLOBAL FUNCTION MACROS
**********************************************************************************************************************/

/**********************************************************************************************************************
  GLOBAL DATA TYPES AND STRUCTURES
**********************************************************************************************************************/

/**********************************************************************************************************************
  GLOBAL DATA PROTOTYPES
**********************************************************************************************************************/

/**********************************************************************************************************************
  GLOBAL FUNCTION PROTOTYPES
**********************************************************************************************************************/
#define COM_START_SEC_CODE
#include "MemMap.h"    /* PRQA S 5087 1 */ /*MD_MSR_MemMap */
/**********************************************************************************************************************
  Com_RxIndication
**********************************************************************************************************************/
/** \brief    This function is called by the lower layer after an I-PDU has been received.
    \param    RxPduId      ID of AUTOSAR COM I-PDU that has been received. Identifies the data that has been received.
                              Range: 0..(maximum number of I-PDU IDs received by AUTOSAR COM) - 1
    \param    PduInfoPtr      Payload information of the received I-PDU (pointer to data and data length).
    \return   none
    \context  The function can be called on interrupt and task level. It is not allowed to use CAT1 interrupts with Rte (BSW00326]). Due to this, the interrupt context shall be configured to a CAT2 interrupt if an Rte is used. 
    \synchronous TRUE
    \reentrant   TRUE, for different Handles
    \trace    SPEC-2737026
    \note     The function is called by the lower layer.
**********************************************************************************************************************/
FUNC(void, COM_CODE) Com_RxIndication(PduIdType RxPduId, P2CONST(PduInfoType, AUTOMATIC, COM_APPL_DATA) PduInfoPtr);

/**********************************************************************************************************************
  Com_TxConfirmation
**********************************************************************************************************************/
/** \brief    This function is called by the lower layer after the PDU has been transmitted on the network.
              A confirmation that is received for an I-PDU that does not require a confirmation is silently discarded.
    \param    TxPduId    ID of AUTOSAR COM I-PDU that has been transmitted.
                            Range: 0..(maximum number of I-PDU IDs transmitted by AUTOSAR COM) - 1
    \return   none
    \context  The function can be called on interrupt and task level. It is not allowed to use CAT1 interrupts with Rte (BSW00326]). Due to this, the interrupt context shall be configured to a CAT2 interrupt if an Rte is used. 
    \synchronous TRUE
    \reentrant   TRUE, for different Handles
    \trace    SPEC-2737028
    \note     The function is called by the lower layer.
**********************************************************************************************************************/
FUNC(void, COM_CODE) Com_TxConfirmation(PduIdType TxPduId);



#define COM_STOP_SEC_CODE
#include "MemMap.h"    /* PRQA S 5087 1 */ /* MD_MSR_MemMap */

#endif  /* COM_CBK_H */
/**********************************************************************************************************************
  END OF FILE: Com_Cbk.h
**********************************************************************************************************************/

